Bug 1371328 (CVE-2016-6342) - CVE-2016-6342 elog: posting entry as arbitrary username by improper authentication
Summary: CVE-2016-6342 elog: posting entry as arbitrary username by improper authentic...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: CVE-2016-6342
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20160830,repor...
Depends On: 1371330 1371331
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-08-29 23:45 UTC by Jeremy Choi
Modified: 2019-06-08 21:24 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-07 21:24:10 UTC


Attachments (Terms of Use)

Description Jeremy Choi 2016-08-29 23:45:51 UTC
It has been reported that one can post from any username entry on the logbook, with a post request and guest readable logbook, using elog 3.1.1.

Comment 1 Jeremy Choi 2016-08-29 23:46:25 UTC
Created elog tracking bugs for this issue:

Affects: fedora-all [bug 1371330]
Affects: epel-7 [bug 1371331]

Comment 3 Fedora Update System 2016-09-04 17:39:29 UTC
elog-3.1.1-7.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 4 Fedora Update System 2016-09-09 16:53:24 UTC
elog-3.1.1-7.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 5 Fedora Update System 2016-09-09 16:54:45 UTC
elog-3.1.1-7.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2016-09-15 21:47:52 UTC
elog-3.1.1-7.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.